/*------------------------------
  WORK PROCESS
  ------------------------------*/
.process-wrap{
  position: relative;
  overflow: hidden;
}
.process-content{
  padding-top: 30px;
  @media #{$lg} {
    padding-top: 90px;
  }
 .process-list{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding-left: 0;
  @media #{$lg} {
    flex-direction: row;
  }
  .process {
    list-style: none;
    margin-left:0;
    text-align: center; 
    @media #{$lg} {
      margin-left: 80px;
    }
    &:last-child {
      margin-left: 0px; 
    }
    &:nth-child(2n) {
      margin-top:0; 
      @media #{$lg} {
        margin-top: -125px; 
      }
    }
    .process-circle {
      position: relative;
      display: inline-block;
      width: 140px;
      height: 140px;
      background-color: var(--color-white);
      @include border-radius(100%);
      border: 8px solid #e6e9ee;
      transition: all ease 0.3s;
      @media #{$lg} {
        width: 100px;
        height: 100px;
      }
      @media #{$xl} {
        width: 140px;
        height: 140px;
      }
      span {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        color: #2e4451;
        font-size: 44px;
        font-family: var(--font-heading);
        font-weight: 600;
       }
       &:hover {
        border-color: #efc512; 
      }
       &:hover span {
        color: #efc512; 
      }
     }
    &:nth-child(2n) .process-circle .zigzax-line {
      transform: rotate(-25deg);
      top: 65%;
      left: -85%; 
    }
    &:last-child .process-circle .zigzax-line {
      display: none; 
    }
   .zigzax-line {
    content: '';
    display: none;
    position: absolute;
    top: 10%;
    left: -80%;
    width: 90%;
    height: 2px;
    z-index: -1;
    transform: rotate(25deg); 
    background-image: linear-gradient(to right,#efc512 50%,white 50%);
    background-position: top;
    background-size: 8px 2px;
    background-repeat: repeat-x;
      @media #{$lg} {
        display:block;
      }
    }
    .info {
      position: relative;
      padding-top: 25px; 
      text-align: center;
      .title{
        font-size: 26px;
        font-weight: 700;
        margin-bottom: 15px;
        text-transform: capitalize;
        @media #{$lg} {
          font-size: 18px;
        }
        @media #{$xl} {
          font-size: 22px;
        }
      }
    }
     .info p{
      display: inline-block;
      font-size: 20px;
      margin-left: 0;
      position: relative;
      width: 200px;
        @media #{$lg} {
          display:block;
        }
        @media #{$lg} {
          position: absolute;
          display: none;
          font-size: 16px;
          margin-right: -25px;
          width: 160px;
          @include opacity(0);
        }
        @media #{$xl} {
          font-size: 18px;
          width: 200px;
        }
      }
      &:hover .info P{
        display: inline-block;
        @include opacity(1);
        @media #{$lg} {
          display: block;
          animation: slide-down .3s ease-out;
        }
       }
       &:hover  .process-circle span {
        color: #efc512; 
      }
      &:hover .process-circle {
        border-color: #efc512; 
      }
      &:hover .spin{border: 0;}
      &:hover .spin::before{
        border-bottom-color: var(--color-secondary);
        border-right-color: var(--color-secondary);
        border-top-color: var(--color-secondary);
        transition: border-top-color 0.15s linear, border-right-color 0.15s linear 0.1s, border-bottom-color 0.15s linear 0.2s;
      }
      &:hover .spin::after {
        border-left-width: 6px;
        border-right-width: 6px;
        border-top: 6px solid var(--color-secondary);
        transform: rotate(270deg);
        transition: transform 0.4s linear 0s, border-left-width 0s linear 0.35s;
      }
      
  }
}
}
@keyframes slide-down {
  0% { opacity: 0; transform: translateY(100%); }   
100% { opacity: 1; transform: translateY(0); }
}
.spin
{
  &::before, &::after {
    position: absolute;
    z-index: 1;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
  box-sizing: inherit;
  content: '';
}
&::before {
  border: 6px solid transparent;
  z-index: 20;
}
&::after {
  border: 0 solid transparent;
}
}
.circle {
  @include border-radius(100%);
  box-shadow: none;

&::before, &::after {
  @include border-radius(100%);
}

}
